BatchInserters (Neo4j Community 1.8.RC1 API)
Date: 2012-09-07

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Neo4j Community
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.neo4j.unsafe.batchinsert
Class BatchInserters

    java.lang.Object
      org.neo4j.unsafe.batchinsert.BatchInserters

    public final class BatchInserters

extends Object

Provides instances of batch inserters.

A `BatchInserter` retrieved from the `inserter(String)` or `inserter(String, Map)` methods is more performant while the `GraphDatabaseService` retrievied from `batchDatabase(String)` or `batchDatabase(String, Map)` methods is there for convenience, so you can reuse existing code.

Constructor Summary
`BatchInserters()`

Method Summary
`static GraphDatabaseService` | `batchDatabase(String storeDir)` Get a `GraphDatabaseService` that does not support deletions and transactions.
`static GraphDatabaseService` | `batchDatabase(String storeDir, Map<String,String> config)` Get a `GraphDatabaseService` that does not support deletions and transactions.
`static BatchInserter` | `inserter(String storeDir)` Get a `BatchInserter` given a store directory.
`static BatchInserter` | `inserter(String storeDir, Map<String,String> config)` Get a `BatchInserter` given a store directory.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BatchInserters

    public BatchInserters()

Method Detail

### inserter

    public static BatchInserter inserter(String storeDir)

  Get a `BatchInserter` given a store directory.

  Parameters:
    `storeDir` - the store directory
  Returns:
    a new `BatchInserter`

### inserter

    public static BatchInserter inserter(String storeDir,
                                         Map<String,String> config)

  Get a `BatchInserter` given a store directory.

  Parameters:
    `storeDir` - the store directory
    `config` - configuration settings to use
  Returns:
    a new `BatchInserter`

### batchDatabase

    public static GraphDatabaseService batchDatabase(String storeDir)

  Get a `GraphDatabaseService` that does not support deletions and transactions.

  Parameters:
    `storeDir` - the store directory
  Returns:
    a `GraphDatabaseService` that does not support deletions and transactions

### batchDatabase

    public static GraphDatabaseService batchDatabase(String storeDir,
                                                     Map<String,String> config)

  Get a `GraphDatabaseService` that does not support deletions and transactions.

  Parameters:
    `storeDir` - the store directory
    `config` - configuration settings to use
  Returns:
    a `GraphDatabaseService` that does not support deletions and transactions

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Neo4j Community
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2012 The Neo4j Graph Database Project. All Rights Reserved.